/*
* Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-16
* Changed:         2026-06-23
*
* */

#include "Button.hpp"

using ls::standard::event::EventListener;
using ::std::string;
using test::event::Button;

Button::Button() : EventListener(), color("black")
{}

Button::~Button() noexcept = default;

string Button::getColor() const
{
  return this->color;
}

bool Button::isClicked() const
{
  return this->clicked;
}

void Button::onChangeColorEvent()
{
  this->color = this->parameter.get().front();
}

void Button::onClickEvent()
{
  this->clicked = !this->clicked;
}
